#include "owl\owlpch.h"
#pragma hdrstop

// I find using assert is very nice, and I havent messed with TRACE
// & WARN before.
#include <assert.h>

#include "smttimer.h"


////////////////////////////////////////////////////////////
// class SmartTimer


SmartTimer::SmartTimer(TimerID id, unsigned long interval, SmartTimerFn fnptr)
{
	ID = id;
	assert(interval);
	Interval = interval;
	assert(fnptr);
	FnPtr = fnptr;
	Active = FALSE;
	Handle = NULL;
	Style = FuncPtr;
}

SmartTimer::SmartTimer(TimerID id, unsigned long interval, HWND handle,
		MsgTimerStyle style)
{
	ID = id;
	assert(interval);
	Interval = interval;
	assert(handle);
	Handle = handle;
	assert(style != FuncPtr);
	Style = style;
	Active = FALSE;
	FnPtr = NULL;
}

SmartTimer::~SmartTimer()
{
	if(Active)
		Stop();
}

//////////////////////////////////
// GetInterval()

unsigned long SmartTimer::GetInterval() const
{
	return Interval;
}

//////////////////////////////////
// GetID()

TimerID SmartTimer::GetID() const 
{
	return ID;
}




















